<?php

$href = "new Rico.TableColumn.link('ajax/ajax.php?id={0}&source=documents__files&func=file&name=download','_new')";

$mask = array(
	      'table' => 'doc_files',
	      'title' => 'Dokumente',
#	      'rows' => 30,
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    ),
			      'owner' => array(
					    'name' => 'Besitzer',
					    'width' => 90,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('doc_owner','id','name').", 0, '')",
					    ),
			      'type' => array(
					    'name' => 'Typ',
					    'width' => 90,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('doc_types','id','name').", 0, '')",
					    ),
			      'date' => array(
					    'name' => 'Datum',
					    'width' => 85,
					    ),
			      'title' => array(
					    'name' => 'Titel',
					    'width' => 345,
					    'specs' => "filterUI: 't'",
					    ),
			      'download' => array(
					    'name' => 'DL',
					    'width' => 30,
					    'specs' => "ClassName: 'aligncenter', canSort: false",
					    'control' => $href,
					    'sql' => "'<img src=\"images/icons/download.gif\" title=\"download\" border=\"0\">'",
					    ),
			      ),
	      'edit' => array(
			      'owner' => array(
					    'name' => 'Besitzer',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM doc_owner ORDER BY name',
					    'option_empty' => '-- select --',
					    'required' => true,
					    ),
			      'type' => array(
					    'name' => 'Typ',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM doc_types ORDER BY name',
					    'option_empty' => '-- select --',
					    'required' => true,
					    ),
			      'title' => array(
					    'name' => 'Titel',
					    'type' => 'text',
					    'size' => 21,
					    'required' => true,
					    ),
			      'date' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'size' => 8,
					    'null' => true,
					    'required' => true,
					    ),
			      'path' => array(
					    'name' => 'Dokument',
					    'type' => 'file',
					    'path' => 'documents',
					    'sql' => false,
					    ),
			      'keywords' => array(
					    'name' => 'Schlagworte',
					    'type' => 'textarea',
					    ),
			      ),
	      'files' => array(
			       'download' => process_download,
			       ),
	      );

function process_download()
{
  global $mask;

  download_file($mask['table'],'path',$mask['edit']['path']['path'],$_GET['id']);
}

?>
