<?php

require_once('dbClass.php');

function CreateDbClass() {
  global $oDB;
  $oDB = new dbClass();  // from dbClass2

  // What dialect of SQL will we be speaking?

  //$oDB->Dialect="MySQL"  // this is the default, so you can leave it commented
  //$oDB->Dialect="Oracle";
  //$oDB->Dialect="TSQL";
  //$oDB->Dialect="Access";
  //$oDB->Dialect="PostgreSQL";
  }

function OpenDB() {
  global $oDB;
  CreateDbClass();

  // This is where the database connection is made
  // Uncomment the appropriate line for your database

  // Using MySQL
  // $oDB->Provider="MySQLremoveserver"  // required if MySQL is remote

  if (DBDRIVER == 'pgsql')
    return $oDB->PostgreSqlLogon(DBNAME, DBUSER, DBPASS);
  elseif (DBDRIVER == 'mysql')
    return $oDB->MySqlLogon(DBNAME, DBUSER, DBPASS);
  else
    die("Unsupported database driver");


  // Connect via ODBC to a DSN
  //return $oDB->OdbcLogon("northwindDSN","Northwind","userid","password");

  // Connect to Oracle XE
  // Make sure the Oracle database is loaded with the sample database
  // $oDB->Provider="MySQLremoveserver"  // required if Oracle is remote
  //return $oDB->OracleLogon("XE","northwind","password");
}

?>
